// SPDX-FileCopyrightText: 2026 Raspberry Pi
// SPDX-License-Identifier: GPL-3.0-or-later
#include <cstdio>

template <typename T>
static T identity(T x) { return x; }

int main() {
	auto msg = identity("Hello from riscv32-pico-elf C++");
	if (std::puts(msg) == EOF) {
		return 1;
	}
	return 0;
}
